Apps: Create
POST /appsBody Parameters
Section titled “Body Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app |
object | Yes | app to be added |
app.name |
string | Yes | name of the pulsate app |
app.image_s3_url |
string | No | s3 image url of the app |
app.company_id |
string | No | company id of the app |
app.setting_attributes |
object | Yes | setting attributes object for app |
app.setting_attributes.mode |
string | Yes | App Environment i.e development/production. Available values : production, development |
app.setting_attributes.apple_bundle_id |
string | No | bundle id or bundle identifier which uniquely identifies the app in apple’s ecosystem |
app.setting_attributes.apple_password |
string | No | send password if you’ve set password for your cert |
app.setting_attributes.apple_certificate |
string | No | Apple certificate pem file |
app.setting_attributes.fcm_json_secret |
string | No | fcm secret creds file for fcm v1 |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | multipart/form-data |
Request Example
Section titled “Request Example”curl --request POST \ --url https://control.pulsatehq.com/api/v2/apps \ --header 'Authorization: Token token={my_admin_api_token}' \ --header 'Content-Type: multipart/form-data' \ --form 'app[name]=test app' \ --form 'app[setting_attributes][mode]=development' \ --form 'app[setting_attributes][apple_certificate]=@seLKtF3tG/pulsate_production_july (2).pem' \ --form 'app[setting_attributes][fcm_json_secret]=@eQVKrTFs-/creds.json'Responses
Section titled “Responses”200
{ "banno_configuration": { "client_id": null, "client_secret": null, "institution_id": null, "public_key": null }, "custom_attributes_enabled": false, "hubspot": { "connected": false, "selected_fields": null, "contacts_sync_status": null }, "diid": null, "download_opportunity_files": { "app_file": true, "performance_files": true }, "ff_banno_push_send_to_url": false, "ff_beacons_enabled": true, "ff_campaigns_goals_enabled": false, "ff_card_disabled": false, "ff_change_notification_button_colors": false, "ff_concat_custom_attributes": false, "ff_core_member_id_upload": false, "ff_csv_users_upload": false, "ff_cunexus_enabled": false, "ff_dashboard_beta": true, "ff_demo_mode": false, "ff_email_enabled": false, "ff_emojis_enabled": true, "ff_excluded_from_cron_jobs_enabled": false, "ff_external_goal_file_upload_section": false, "ff_feed_post_plus_notification": true, "ff_geofences_enabled": true, "ff_infra_report_service_read": false, "ff_infra_report_service_send": false, "ff_infra_user_service_send": false, "ff_journeys_enabled": false, "ff_messages": false, "ff_notifications_extra_buttons_enabled": true, "ff_old_app_and_device_stats": false, "ff_opportunities_dashboard": false, "ff_opportunities_stats": false, "ff_pulsate_beta": true, "ff_push": true, "ff_push_ab_testing_enabled": true, "ff_push_notifications_full_access_enabled": true, "ff_push_rich_media": true, "ff_q2_in_app_enabled": false, "ff_small_in_app": true, "ff_sms_delivery": false, "ff_sms_enabled": false, "ff_web_sdk": false, "geofence_setting": { "geofence_feet_unit": true, "max_radius": 6561, "min_radius": 165 }, "http_webhooks_enabled": false, "icon": "https://pulsate-media-bucket-production.s3.eu-west-1.amazonaws.com/default-app-image.png", "id": "67e2a0d88785f8d9d8a8f6d1", "image": "https://pulsate-media-bucket-production.s3.eu-west-1.amazonaws.com/default-app-image.png", "installed": false, "name": "muzzz app 17", "oe_range_in_days": [ 7, 30, 90 ], "parent_company": null, "range_days": null, "verified_email_addresses": []}
